# 图片上传编辑器参数说明

图片上传编辑器支持编辑器参数，其编辑器参数分为两类，分别是上传参数和下载参数。

编辑器配置如下：

```typescript
uploadParam={context:{"orderid":"%orderid%","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"%testid%"}}
exportParam={context:{"orderid":"%orderid%","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"%testid%"}}
```

其中，上传参数和下载参数都包括两个部分，即 context 和 param，示例代码如下。

## 上传参数：

```typescript
uploadParam={context:{"orderid":"%orderid%","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"%testid%"}}
```

上传参数中 context 的  `"orderid":"%orderid%"` 需要动态解构赋值。

其取值赋值顺序为：

- 首先从视图传递给编辑器的**视图上下文**中获取匹配值，如存在，则赋值给相应的属性。
- 其中从表单数据中获取匹配值，如存在，则赋值给相应的属性。

上传参数中 param的  `"bbb":"%testid%"` 需要动态解构赋值。

其取值赋值顺序为：

- 首先从视图传递给编辑器的**视图参数**中获取匹配值，如存在，则赋值给相应的属性。
- 其中从表单数据中获取匹配值，如存在，则赋值给相应的属性。

> 如果表单中能获取匹配值，会覆盖视图上下文中获取的配置值，请配置参数时，合理配置。

动态结构后台的参数对象为：

```typescript
uploadParam={context:{"orderid":"05676b25da4b479c2100c010a87e6dd5","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"yyyy"}}
```

在文件上传中，参数传递如下：

```http
http://localhost:8111/ibizutil/upload?orderid=05676b25da4b479c2100c010a87e6dd5&aaaa=111111&uuu=hhhhh&bbb=yyyy
```

## 下载参数

```typescript
exportParam={context:{"orderid":"%orderid%","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"%testid%"}}
```

下载参数中 context 的  `"orderid":"%orderid%"` 需要动态解构赋值。

其取值赋值顺序为：

- 首先从视图传递给编辑器的**视图上下文**中获取匹配值，如存在，则赋值给相应的属性。
- 其中从表单数据中获取匹配值，如存在，则赋值给相应的属性。

下载参数中 param的  `"bbb":"%testid%"` 需要动态解构赋值。

其取值赋值顺序为：

- 首先从视图传递给编辑器的**视图参数**中获取匹配值，如存在，则赋值给相应的属性。
- 其中从表单数据中获取匹配值，如存在，则赋值给相应的属性。

> 如果表单中能获取匹配值，会覆盖视图上下文中获取的配置值，请配置参数时，合理配置。

动态结构后台的参数对象为：

```typescript
exportParam={context:{"orderid":"05676b25da4b479c2100c010a87e6dd5","aaaa":"111111"},param:{"uuu":"hhhhh","bbb":"yyyy"}}
```

在文件上传中，参数传递如下：

```http
http://localhost:8111/ibizutil/download/fileid?orderid=05676b25da4b479c2100c010a87e6dd5&aaaa=111111&uuu=hhhhh&bbb=yyyy
```









